<form name="form" novalidate autocomplete="off">

	<div id="top_of_dialog">
		<strong ng-show="mode == 'new'">Nuovo Mandato</strong>
		<strong ng-show="mode != 'new'">Modifica Mandato</strong>
	</div>

	<div style="margin-top: 15px">
		<table class="table table-bordered blockContainer showInlineTable equalSplit">
			<thead>
				<tr>
					<th class="blockHeader" colspan="2">Inserimento dati</th>
				</tr>
			</thead>
			<tbody>
				<tr>
					<td class="fieldLabel medium">
						<label class="muted pull-right marginRight10px">
							<span class="redColor" ng-show="form.mandataria.$invalid">*</span>MANDATARIA
						</label>
					</td>
					<td class="fieldValue medium">
						<div class="row-fluid">
							<span class="span10">
								<select name="mandataria" id="mandataria" ng-model="mandataria" ng-options="item.nominativo for item in mandatarie track by item.id" required>
								</select>
							</span>
						</div>
					</td>
				</tr>				
				<tr>
					<td class="fieldLabel medium">
						<label class="muted pull-right marginRight10px">
							<span class="redColor" ng-show="form.mandante.$invalid">*</span>MANDANTE
						</label>
					</td>
					<td class="fieldValue medium">
						<div class="row-fluid">
							<span class="span10">
								<select name="mandante" id="mandante" ng-model="mandante" ng-options="item.nominativo for item in mandanti track by item.id" required>
								</select>
							</span>
						</div>
					</td>
				</tr>				
				<tr>
					<td class="fieldLabel medium">
						<label class="muted pull-right marginRight10px">
						<span class="redColor" ng-show="form.validFrom.$invalid">*</span>DATA INIZIO MANDATO
						</label>
					</td>
					<td class="fieldValue medium">
						<div class="row-fluid" style="max-width: 450px;">
						<input type="text" class="input-large ngdialog-input ctrl_validFrom" style="width: 100px"
							name="validFrom" required ng-model="dataInizioMandato"
							style="width:210px; height: 28px;">
						<script type="text/javascript">
							$(".ctrl_validFrom").datepicker({
							format: 'dd-mm-yyyy',
							language: 'it',
							autoclose: true,
							todayHighlight: true
							});
						</script>
						</div>
					</td>
				</tr>
				<tr>
					<td class="fieldLabel medium" nowrap>
						<label class="muted pull-right marginRight10px">
						<span class="redColor" ng-show="form.validTo.$invalid">*</span>DATA FINE MANDATO
						</label>
					</td>
					<td class="fieldValue medium">
						<div class="row-fluid" style="max-width: 450px;">
						<input type="text" class="input-large ngdialog-input ctrl_validTo" style="width: 100px"
							name="validTo" ng-model="dataFineMandato" style="width:210px; height: 28px;">
						<script type="text/javascript">
							$(".ctrl_validTo").datepicker({
							format: 'dd-mm-yyyy',
							language: 'it',
							autoclose: true,
							todayHighlight: true
							});
						</script>
						</div>
					</td>
				</tr>				
			</tbody>
		</table>
	</div>

	<div style="margin-top: 15px">
		<table width="100%">
			<tr>
				<td>
					<button type="button" class="btn addButton" ng-click="cancel()">
						<span class="glyphicon glyphicon-remove"></span>&nbsp;&nbsp;<strong>Annulla</strong>
					</button>
				</td>
				<td align="right">
					<button ng-disabled="form.$invalid || !form.$dirty" class="btn addButton" ng-click="save()">
						<div ng-if="mode=='new'">
							<span class="glyphicon glyphicon-plus"></span>&nbsp;&nbsp;<strong>Aggiungi</strong>
						</div>
						<div ng-if="mode=='edit'">
							<span class="glyphicon glyphicon-save"></span>&nbsp;&nbsp;<strong>Aggiorna</strong>
						</div>
					</button>
				</td>
			</tr>
		</table>
	</div>
</form>

<script type="text/ng-template" id="errorDialogId">
		<div id="target"  >
			<strong>{{ngDialogData}}</strong>
		</div>
</script>

<script type="text/javascript">
	$('#top_of_dialog')[0].scrollIntoView(true);
</script>
